## libjpeg-turbo 1.3.0

=== java/CMakeLists.txt ===
set(JAR_FILE turbojpeg.jar)
set(MANIFEST_FILE ${CMAKE_CURRENT_SOURCE_DIR}/MANIFEST.MF)

set(JAVA_CLASSNAMES org/libjpegturbo/turbojpeg/TJ
  org/libjpegturbo/turbojpeg/TJCompressor
  org/libjpegturbo/turbojpeg/TJCustomFilter
  org/libjpegturbo/turbojpeg/TJDecompressor
  org/libjpegturbo/turbojpeg/TJScalingFactor
  org/libjpegturbo/turbojpeg/TJTransform
  org/libjpegturbo/turbojpeg/TJTransformer
  TJUnitTest
  TJExample
  TJBench)

if(MSVC_IDE)
  set(OBJDIR "${CMAKE_CURRENT_BINARY_DIR}/$(OutDir)")
else()
  set(OBJDIR ${CMAKE_CURRENT_BINARY_DIR})
endif()

set(TURBOJPEG_DLL_NAME "turbojpeg")
if(MINGW)
  set(TURBOJPEG_DLL_NAME "libturbojpeg")
endif()
configure_file(org/libjpegturbo/turbojpeg/TJLoader.java.in
  ${CMAKE_CURRENT_BINARY_DIR}/org/libjpegturbo/turbojpeg/TJLoader.java)

set(JAVA_SOURCES "")
set(JAVA_CLASSES "")
set(JAVA_CLASSES_FULL "")
foreach(class ${JAVA_CLASSNAMES})
  set(JAVA_SOURCES ${JAVA_SOURCES} ${CMAKE_CURRENT_SOURCE_DIR}/${class}.java)
  set(JAVA_CLASSES ${JAVA_CLASSES} ${class}.class)
  set(JAVA_CLASSES_FULL ${JAVA_CLASSES_FULL} ${OBJDIR}/${class}.class)
endforeach()

set(JAVA_SOURCES ${JAVA_SOURCES}
  ${CMAKE_CURRENT_BINARY_DIR}/org/libjpegturbo/turbojpeg/TJLoader.java)
set(JAVA_CLASSES ${JAVA_CLASSES}
  org/libjpegturbo/turbojpeg/TJLoader.class)
set(JAVA_CLASSES_FULL ${JAVA_CLASSES_FULL}
  ${OBJDIR}/org/libjpegturbo/turbojpeg/TJLoader.class)

string(REGEX REPLACE " " ";" JAVACFLAGS "${JAVACFLAGS}")
add_custom_command(OUTPUT ${JAVA_CLASSES_FULL} DEPENDS ${JAVA_SOURCES}
  COMMAND ${JAVA_COMPILE} ARGS ${JAVACFLAGS} -d ${OBJDIR} ${JAVA_SOURCES})

add_custom_command(OUTPUT ${JAR_FILE} DEPENDS ${JAVA_CLASSES_FULL}
  ${MANIFEST_FILE}
  COMMAND ${JAVA_ARCHIVE} cfm ${JAR_FILE} ${MANIFEST_FILE} ${JAVA_CLASSES}
  WORKING_DIRECTORY ${OBJDIR})

add_custom_target(java ALL DEPENDS ${JAR_FILE})

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${JAR_FILE} DESTINATION classes)

=== sharedlib/CMakeLists.txt ===
# Anything that must be linked against the shared C library on Windows must
# be built in this subdirectory, because CMake doesn't allow us to override
# the compiler flags for each build type except at directory scope.  Note
# to CMake developers:  Add a COMPILE_FLAGS_<CONFIG> target property, or
# better yet, provide a friendly way of configuring a Windows target to use the
# static C library.

if(MSVC)
  # Build all configurations against shared C library
  foreach(var CMAKE_C_FLAGS CMAKE_C_FLAGS_DEBUG CMAKE_C_FLAGS_RELEASE
    CMAKE_C_FLAGS_MINSIZEREL CMAKE_C_FLAGS_RELWITHDEBINFO)
    if(${var} MATCHES "/MT")
      string(REGEX REPLACE "/MT" "/MD" ${var} "${${var}}")
    endif()
  endforeach()
endif()

foreach(src ${JPEG_SOURCES})
  set(JPEG_SRCS ${JPEG_SRCS} ${CMAKE_SOURCE_DIR}/${src})
endforeach()

if(WITH_SIMD)
  # This tells CMake that the "source" files haven't been generated yet
  set_source_files_properties(${SIMD_OBJS} PROPERTIES GENERATED 1)
endif()

if(WITH_MEM_SRCDST AND NOT WITH_JPEG8)
  add_library(jpeg SHARED ${JPEG_SRCS} ${SIMD_OBJS}
    ${CMAKE_SOURCE_DIR}/win/jpeg${DLL_VERSION}-memsrcdst.def)
else()
  add_library(jpeg SHARED ${JPEG_SRCS} ${SIMD_OBJS}
    ${CMAKE_SOURCE_DIR}/win/jpeg${DLL_VERSION}.def)
endif()
set_target_properties(jpeg PROPERTIES SOVERSION ${DLL_VERSION}
  VERSION ${FULLVERSION})
if(MSVC)
  set_target_properties(jpeg PROPERTIES SUFFIX ${DLL_VERSION}.dll)
elseif(MINGW OR CYGWIN)
  set_target_properties(jpeg PROPERTIES SUFFIX -${DLL_VERSION}.dll)
endif(MSVC)
if(WITH_SIMD)
  add_dependencies(jpeg simd)
endif()

add_executable(cjpeg ../cjpeg.c ../cdjpeg.c ../rdbmp.c ../rdgif.c ../rdppm.c
  ../rdswitch.c ../rdtarga.c)
set_property(TARGET cjpeg PROPERTY COMPILE_FLAGS
  "-DBMP_SUPPORTED -DGIF_SUPPORTED -DPPM_SUPPORTED -DTARGA_SUPPORTED -DUSE_SETMODE")
target_link_libraries(cjpeg jpeg)

add_executable(djpeg ../djpeg.c ../cdjpeg.c ../rdcolmap.c ../rdswitch.c
  ../wrbmp.c ../wrgif.c ../wrppm.c ../wrtarga.c)
set_property(TARGET djpeg PROPERTY COMPILE_FLAGS
  "-DBMP_SUPPORTED -DGIF_SUPPORTED -DPPM_SUPPORTED -DTARGA_SUPPORTED -DUSE_SETMODE")
target_link_libraries(djpeg jpeg)

add_executable(jpegtran ../jpegtran.c ../cdjpeg.c ../rdswitch.c ../transupp.c)
target_link_libraries(jpegtran jpeg)
set_property(TARGET jpegtran PROPERTY COMPILE_FLAGS "-DUSE_SETMODE")

add_executable(jcstest ../jcstest.c)
target_link_libraries(jcstest jpeg)

install(TARGETS jpeg cjpeg djpeg jpegtran
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
  RUNTIME DESTINATION bin)

=== simd/CMakeLists.txt ===
if(NOT DEFINED NASM)
  set(NASM nasm CACHE PATH "Path to NASM/YASM executable")
endif()

if(SIMD_X86_64)
  set(NAFLAGS -fwin64 -DWIN64 -D__x86_64__ -I${CMAKE_SOURCE_DIR}/win/
    -I${CMAKE_CURRENT_SOURCE_DIR}/)
else()
  set(NAFLAGS -fwin32 -DWIN32 -I${CMAKE_SOURCE_DIR}/win/
    -I${CMAKE_CURRENT_SOURCE_DIR}/)
endif()

# This only works if building from the command line.  There is currently no way
# to set a variable's value based on the build type when using the MSVC IDE.
if(CMAKE_BUILD_TYPE STREQUAL "Debug"
  OR CMAKE_BUILD_TYPE STREQUAL "RelWithDebInfo")
  set(NAFLAGS ${NAFLAGS} -g)
endif()

if(SIMD_X86_64)
  set(SIMD_BASENAMES jfsseflt-64 jccolss2-64 jdcolss2-64 jcgrass2-64
    jcsamss2-64 jdsamss2-64 jdmerss2-64 jcqnts2i-64 jfss2fst-64 jfss2int-64
    jiss2red-64 jiss2int-64 jiss2fst-64 jcqnts2f-64 jiss2flt-64)
  message(STATUS "Building x86_64 SIMD extensions")
else()
  set(SIMD_BASENAMES jsimdcpu jccolmmx jcgrammx jdcolmmx jcsammmx jdsammmx
    jdmermmx jcqntmmx jfmmxfst jfmmxint jimmxred jimmxint jimmxfst jcqnt3dn
    jf3dnflt ji3dnflt jcqntsse jfsseflt jisseflt jccolss2 jcgrass2 jdcolss2
    jcsamss2 jdsamss2 jdmerss2 jcqnts2i jfss2fst jfss2int jiss2red jiss2int
    jiss2fst jcqnts2f jiss2flt)
  message(STATUS "Building i386 SIMD extensions")
endif()

if(MSVC_IDE)
  set(OBJDIR "${CMAKE_CURRENT_BINARY_DIR}/${CMAKE_CFG_INTDIR}")
else()
  set(OBJDIR ${CMAKE_CURRENT_BINARY_DIR})
endif()

file(GLOB INC_FILES *.inc)

foreach(file ${SIMD_BASENAMES})
  set(DEPFILE "")
  set(SIMD_SRC ${CMAKE_CURRENT_SOURCE_DIR}/${file}.asm)
  if(${file} MATCHES col)
    set(DEPFILE ${file})
    string(REGEX REPLACE "col" "clr" DEPFILE ${DEPFILE})
    set(DEPFILE ${CMAKE_CURRENT_SOURCE_DIR}/${DEPFILE}.asm)
  endif()
  if(${file} MATCHES mer)
    set(DEPFILE ${file})
    string(REGEX REPLACE "mer" "mrg" DEPFILE ${DEPFILE})
    set(DEPFILE ${CMAKE_CURRENT_SOURCE_DIR}/${DEPFILE}.asm)
  endif()
  if(${file} MATCHES gra)
    set(DEPFILE ${file})
    string(REGEX REPLACE "gra" "gry" DEPFILE ${DEPFILE})
    set(DEPFILE ${CMAKE_CURRENT_SOURCE_DIR}/${DEPFILE}.asm)
  endif()
  set(SIMD_OBJ ${OBJDIR}/${file}.obj)
  add_custom_command(OUTPUT ${SIMD_OBJ}
    DEPENDS ${SIMD_SRC} ${DEPFILE} ${INC_FILES}
    COMMAND ${NASM} ${NAFLAGS} ${SIMD_SRC} -o${SIMD_OBJ})
  set(SIMD_OBJS ${SIMD_OBJS} ${SIMD_OBJ})
endforeach()

set(SIMD_OBJS ${SIMD_OBJS} PARENT_SCOPE)
add_custom_target(simd DEPENDS ${SIMD_OBJS})

=== debian/changelog ===
libjpeg-turbo (1.3.0-4) unstable; urgency=low

  * debian/rules:
    + Override dh_strip and build individual dbg bin:packages
      for the shared library and the test program.
  * debian/control:
    + Add dbg bin:packages.
    + Alioth-canonicalize Vcs-*: fields.
    + Drop dependency from bin:package libturbojpeg1: libc-dev.
    + EOL clean-up (whitespaces, commas).
    + Modify section of bin:package libjpeg-turbo-test: utils.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 15 Mar 2014 00:19:42 +0100

libjpeg-turbo (1.3.0-3) unstable; urgency=low

  * debian/patches: (Closes: #729873)
    + Add patch 004_CVE-2013-6629.patch. Check for duplications in
      jdmarker.c (CVE-2013-6629).
    + Add patch 005_CVE-2013-6630.patch: Properly clear out memory in
      jdmarker.c. (CVE-2013-6630).

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 14 Mar 2014 18:56:25 +0100

libjpeg-turbo (1.3.0-2) unstable; urgency=low

  * Add patch: 003_ftbfs-kfreebsd-x64.patch. Fix FTBFS on kfreebsd-amd64
    systems by using ELF64 as object format. (Closes: #710749).

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 04 Jun 2013 21:38:42 +0200

libjpeg-turbo (1.3.0-1) unstable; urgency=low

  * New upstream release.
  * /debian/control:
    + B-D: nasm [any-amd64 any-i386]. Fix FTBFS on hurd and kFreeBSD. (Closes:
      #710566).
  * Lintian issues:
    + Adapt shlib-calls-exit lintian override to new upstream version.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 01 Jun 2013 01:25:00 +0200

libjpeg-turbo (1.2.90-2) unstable; urgency=low

  * /debian/control:
    + Do not ship the libjpeg8 compat packages (libjpeg8-turbo,
      libjpeg8-turbo-dev, libjpeg-turbo-progs). Only ship the
      files needed for applications building against the native
      TURBOjpeg ABI.
    + The libturbojpeg1(-dev) package conflict with libjpeg-turbo8(-dev)
      as found in Ubuntu.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 24 Mar 2013 12:53:01 +0100

libjpeg-turbo (1.2.90-1) UNRELEASED; urgency=low

  [ Osamu Aoki ]
  * New upstream version. Closes: #612341
  * Merge package based on Ubuntu and Fathi Boudra.

  [ Mike Gabriel ]
  * /debian/control:
    + Set maintainer to: Debian TigerVNC Packaging Team
      <pkg-tigervnc-devel@lists.alioth.debian.org>.
    + Raise Standards: version to 3.9.4 (after several changes, as described
      below).
    + Build-depend on debhelper (>= 9).
    + Fully re-arrange the bin:package naming scheme.
    + Hard-coded unversioned dependecy on libc6 for libjpeg-turbo-progs.
    + Hard-coded versioned dependency on libjpeg8-turbo for libjpeg-turbo-progs.
  * /debian/copyright:
    + License change for packaging files: BSD-3. Agreed upon by all copyright
      holders (see backlog of #612341).
    + Add TigerVNC Packaging Team to copyright holders of /debian/*.
    + Mention files in debian/extras/* separately in license file.
  * /debian/rules:
    + Change over to building libjpeg8-turbo (as opposed to libjpeg-turbo62
      in early versions of this src:package).
    + Enable unit tests during package build. Clean up test images during
      dh_auto_clean.
    + Provide a symlink (libjpeg.so.8.99.0) with libjpeg8-turbo that reliably
      (almost) always supersedes any IJG libjpeg.so.8.x.y version. This will
      trick SO_NAME symlinking of ldconfig in case the version of our
      libjpeg.so.8.x.y is lower than the version number of IJG's
      libjpeg.so.8.x.y (in the native libjpeg8 package).
    + Harden build of jpegexiforient in /debian/extra/.
  * /debian/patches:
    + Add patch: 001_versioned-libjpegturbo.patch. Adds versioned .so file
      support for libturbojpeg.so.
    + Add patch: 002_test-progs.patch. Install test programmes to debian/tmp/*.
  * Lintian overrides:
    + Add override for: libjpeg8-turbo: shlib-calls-exit
      usr/lib/x86_64-linux-gnu/libjpeg.so.8.0.2. Can be ignored as explained by
      upstream.
    + Add override for: libturbojpeg1: shlib-calls-exit
      usr/lib/x86_64-linux-gnu/libturbojpeg.so.1.2.90. Can be ignored as
      explained by upstream.
    + Add override for: libjpeg-turbo-test: binary-without-manpage
      usr/bin/tjunittest. No man page provided by upstream and only useful
      for package maintainers.
    + Add override for: libjpeg-turbo source: package-depends-on-hardcoded-libc
      libjpeg-turbo-progs depends. The generation of shlibs dependencies fail
      for bin:package libjpeg-turbo-progs. The result would be a versioned
      dependency on libjpeg8 (>= 8d) which is inappropriate for the
      libjpeg-turbo-progs package. The libjpeg-turbo-progs bin:package should be
      used with bin:package libjpeg8-turbo instead.
  * Dpkg diversions:
    + Rework all dpkg diversions, do not divert into subfolders anymore
    + Use dpkg-divert for libjpeg8-turbo-dev, as well (was: Conflicts:/Replaces:
      before).

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 24 Mar 2013 10:50:07 +0100

libjpeg-turbo (1.1.90+svn704-1) UNRELEASED; urgency=low

  * Initial release (Closes: #612341)

 -- Fathi Boudra <fabo@debian.org>  Sat, 17 Sep 2011 12:51:45 +0300

libjpeg-turbo (1.1.90+svn733-1) UNRELEASED; urgency=low

  * Initial Debian version.

 -- Osamu Aoki <osamu@debian.org>  Sat, 26 May 2012 23:08:16 +0900

=== debian/control ===
Source: libjpeg-turbo
Priority: optional
Section: graphics
Maintainer: Debian TigerVNC Packaging Team <pkg-tigervnc-devel@lists.alioth.debian.org>
Uploaders:
 Fathi Boudra <fabo@debian.org>,
 Osamu Aoki <osamu@debian.org>,
 Tom Gall <tom.gall@linaro.org>,
 Mike Gabriel <sunweaver@debian.org>,
Build-Depends:
 debhelper (>= 9),
 dh-autoreconf,
 nasm [any-amd64 any-i386],
Standards-Version: 3.9.5
Homepage: http://www.libjpeg-turbo.org/
Vcs-Git: git://anonscm.debian.org/collab-maint/libjpeg-turbo.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/libjpeg-turbo.git

Package: libturbojpeg1
Architecture: any
Multi-Arch: same
Section: libs
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Replaces:
 libturbojpeg,
Conflicts:
 libturbojpeg,
 libjpeg-turbo8,
Provides:
 libturbojpeg,
Description: TurboJPEG runtime library - SIMD optimized
 This library is based on libjpeg-turbo and not on the IJG JPEG.
 .
 This package provides the runtime library of libjpeg-turbo only. Installing
 this package does _not_ replace files provided by Independent JPEG Group.
 .
 This package contains the libturbojpeg.so.1 library, used by
 TigerVNC and other users of the past TurboJPEG library.

Package: libturbojpeg1-dbg
Architecture: any
Priority: extra
Multi-Arch: same
Section: debug
Depends:
  ${misc:Depends},
  libturbojpeg1 (= ${binary:Version}),
Breaks:
  libtubrojpeg1 (<= 1.3.0-3),
Description: TurboJPEG runtime library - SIMD optimized (debugging symbols)
 This library is based on libjpeg-turbo and not on the IJG JPEG.
 .
 This package provides the runtime library of libjpeg-turbo only. Installing
 this package does _not_ replace files provided by Independent JPEG Group.
 .
 This package contains debugging symbols of the libturbojpeg.so.1 library.

Package: libturbojpeg1-dev
Architecture: any
Section: libdevel
Multi-Arch: same
Depends:
 libturbojpeg1 (= ${binary:Version}),
 ${misc:Depends},
Replaces:
 libturbojpeg-dev,
Conflicts:
 libturbojpeg-dev,
 libjpeg-turbo8-dev,
Provides:
 libturbojpeg-dev,
Description: Development files for the turbo JPEG library
 This library is based on libjpeg-turbo and not on the IJG JPEG.
 .
 This package provides the runtime library of libjpeg-turbo only. Installing
 this package does _not_ replace files provided by Independent JPEG Group.
 .
 This package contains the static library, headers and documentation for
 the libjpegturbo.so.1 library.

Package: libjpeg-turbo-test
Architecture: any
Priority: extra
Section: utils
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: Program for testing libjpeg-turbo
 This package contains tjunittest which tests
 the basic functionality of the library and
 data files for performing those tests.

Package: libjpeg-turbo-test-dbg
Architecture: any
Priority: extra
Section: debug
Depends:
 ${misc:Depends},
 libjpeg-turbo-test (= ${binary:Version}),
Breaks: libjpeg-turbo-test (<= 1.3.0-3),
Description: Program for testing libjpeg-turbo (debugging symbols)
 This package contains tjunittest which tests
 the basic functionality of the library and
 data files for performing those tests.
 .
 This package contains the debugging symbols for the libjpeg-turbo
 test program.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# for architecture dependent variables and changelog vars
vafilt = $(subst $(2)=,,$(filter $(2)=%,$(1)))

DPKG_VARS               := $(shell dpkg-architecture)
DEB_BUILD_GNU_TYPE	?= $(call vafilt,$(DPKG_VARS),DEB_BUILD_GNU_TYPE)
DEB_HOST_GNU_TYPE	?= $(call vafilt,$(DPKG_VARS),DEB_HOST_GNU_TYPE)
DEB_HOST_MULTIARCH	?= $(call vafilt,$(DPKG_VARS),DEB_HOST_MULTIARCH)

CFLAGS ?= $(shell dpkg-buildflags --get CFLAGS)
ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -Wall
endif

ifeq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
CC = gcc
else
CC = $(DEB_HOST_GNU_TYPE)-gcc
endif

%:
	dh $@  --with autoreconf

override_dh_auto_clean:
	if [ -e Makefile ]; then $(MAKE) testclean; fi
	dh_auto_clean
	rm -f simd/jsimdcfg.inc

override_dh_strip:
	dh_strip -plibturbojpeg1 --dbg-package=libturbojpeg1-dbg
	dh_strip -plibjpeg-turbo-test --dbg-package=libjpeg-turbo-test-dbg

deb_source := $(shell dpkg-parsechangelog | sed -n 's/^Source: //p')
svn_rev := $(shell dpkg-parsechangelog | sed -rne 's,^Version: .*[+~]svn([0-9]+).*,\1,p')
upstream_version := $(shell dpkg-parsechangelog | sed -rne 's,^Version: ([^-]+).*,\1,p')

.PHONY: get-svn-source
get-svn-source:
	rm -rf $(deb_source)-$(upstream_version).orig
	rm -f $(deb_source)-$(upstream_version).orig.tar.gz
	svn -q export -r $(svn_rev) https://libjpeg-turbo.svn.sourceforge.net/svnroot/libjpeg-turbo/trunk \
		$(deb_source)-$(upstream_version).orig
	GZIP=--best tar -cz --owner root --group root --mode a+rX \
	     -f $(deb_source)_$(upstream_version).orig.tar.gz \
	     $(deb_source)-$(upstream_version).orig
	rm -r $(deb_source)-$(upstream_version).orig

.PHONY: get-orig-source
get-orig-source:
	wget --trust-server-name http://sourceforge.net/projects/$(deb_source)/files/$(upstream_version)/$(deb_source)-$(upstream_version).tar.gz/download
	mv $(deb_source)-$(upstream_version).tar.gz $(upstream_version)/$(deb_source)_$(upstream_version).orig.tar.gz

## libjpeg-turbo 1.3.1

=== debian/changelog ===
libjpeg-turbo (1:1.3.1-12+deb8u2) jessie-security; urgency=high

  * CVE-2018-14498: Fix a denial of service vulnerability via a heap-based
    buffer overread that could be triggered by a specially-crafted bitmap
    file. (Closes: #924678)

 -- Chris Lamb <lamby@debian.org>  Mon, 18 Mar 2019 14:45:00 -0400

libjpeg-turbo (1:1.3.1-12+deb8u1) jessie-security; urgency=medium

  * Non-maintainer upload by the LTS team.
  * CVE-2018-11212: Check image size when reading targa file. Throw an
    error when image width or height is 0.
  * CVE-2018-11213, CVE-2018-11214: Check range of integer values in PPM
    text file. Add checks to ensure values are within the specified range.
    (This in theory also fixes unimportant-to-Debian issue CVE-2016-3616).
  * CVE-2018-1152: tjLoadImage(): Fix FPE triggered by malformed BMP.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 22 Jan 2019 20:46:50 +0100

libjpeg-turbo (1:1.3.1-12) unstable; urgency=medium

  * No change upload to bump version in unstable

 -- Ondřej Surý <ondrej@debian.org>  Sun, 08 Mar 2015 18:57:07 +0100

libjpeg-turbo (1:1.3.1-11) unstable; urgency=medium

  * Cleanup the list of maintainers and uploaders
  * [CVE-2014-9092]: Fix a Huffman local buffer overrun

 -- Ondřej Surý <ondrej@debian.org>  Wed, 26 Nov 2014 11:00:17 +0100

libjpeg-turbo (1:1.3.1-10) unstable; urgency=medium

  * Drop extra and conflicting Provides (Closes: #766347)

 -- Ondřej Surý <ondrej@debian.org>  Wed, 22 Oct 2014 15:13:59 +0200

libjpeg-turbo (1:1.3.1-9) unstable; urgency=medium

  * Fix multiarch library path in libjpeg.pc.in (Closes: #766002)
  * Drop dummy transitional libjpeg62{,-dev,-dbg} packages
  * Remove epoch from the libjpeg62-turbo.symbols file

 -- Ondřej Surý <ondrej@debian.org>  Mon, 20 Oct 2014 10:37:23 +0200

libjpeg-turbo (1:1.3.1-8) unstable; urgency=medium

  * Fix the *.symbols file

 -- Ondřej Surý <ondrej@debian.org>  Mon, 13 Oct 2014 14:19:01 +0200

libjpeg-turbo (1:1.3.1-7) unstable; urgency=medium

  * Rename libjpeg62{,-dev,-dbg} to libjpeg62-turbo{,-dev,-dbg}
    (Closes: #763360)
  * Provide dummy libjpeg62{,-dev,-dbg} package to allow smooth
    transition; those packages will be removed as soon as the transition
    is over
  * Add custom pkgconfig for libjpeg (Closes: #764900)

 -- Ondřej Surý <ondrej@debian.org>  Mon, 13 Oct 2014 01:23:44 +0200

libjpeg-turbo (1:1.3.1-6) unstable; urgency=medium

  * Changes Breaks: libjpeg-progs to Conflicts: libjpeg-progs and drop
    Replaces: libjpeg-progs (Closes: #764322)

 -- Ondřej Surý <ondrej@debian.org>  Tue, 07 Oct 2014 10:03:41 +0200

libjpeg-turbo (1:1.3.1-5) unstable; urgency=medium

  * Fix typo in description and other fixes (Closes: #763414, #763415)
  * Build without SIMD on x32 (Closes: #764170)

 -- Ondřej Surý <ondrej@debian.org>  Mon, 06 Oct 2014 12:24:41 +0200

libjpeg-turbo (1:1.3.1-4) unstable; urgency=medium

  * Remove dummy libjpeg-progs from libjpeg-turbo
  * Fix invalid epoch in Conflicts field of libjpeg-dev

 -- Ondřej Surý <ondrej@debian.org>  Mon, 29 Sep 2014 21:09:17 +0200

libjpeg-turbo (1:1.3.1-3) unstable; urgency=medium

  * Upload to unstable to proceed with transition (Ref: #754988)

 -- Ondřej Surý <ondrej@debian.org>  Fri, 26 Sep 2014 14:34:39 +0200

libjpeg-turbo (1:1.3.1-2) experimental; urgency=high

  * Add correct Breaks/Replaces: libjpeg-progs (<< 1.3.1-1~) to
    libjpeg-turbo-progs (Closes: #757860)
  * Build with -ffloat-store to fix FTBFS (Closes: #755073)
  * Disable silent building

 -- Ondřej Surý <ondrej@debian.org>  Tue, 26 Aug 2014 12:39:52 +0200

libjpeg-turbo (1:1.3.1-1) experimental; urgency=medium

  * Upload to experimental in preparation for libjpeg-turbo default JPEG
    library switch
  * Bump epoch to 1: to smoothly replace libjpeg62 binaries
  * New upstream version 1.3.1
  * Add myself to uploaders
  * Enable --fail-missing and --parallel in dh invocation
  * debian/patches/003_ftbfs-kfreebsd-x64.patch: Remove, merged upstream
  * debian/patches/004_CVE-2013-6629.patch: Remove; merged upstream
  * debian/patches/005_CVE-2013-6630.patch: Remove; merged upstream
  * Add libjpeg62* packages, add libjpeg-turbo-progs package
    (Closes: #728983, #632869, #632949)
  * Add exifautotran and jpegexiforient.c from Ubuntu to complete
    jpeg-progs compatibility
  * Add tjbench to libjpeg-turbo-progs
  * Remove libjpeg-turbo-test* package that is useful only at compile time
  * Remove CC and CFLAGS from debian/extra/Makefile and also pass CPPFLAGS
    and LFLAGS to enable Hardening in jpegexiforient
  * Don't install turbojpeg.h into libjpeg62-dev
  * Remove the word 'transitional' from libjpeg-progs description
  * Fix debhelper-but-no-misc-depends libjpeg-dev
  * Install help2man+manual fixes tjbench.1 manual page
  * Add missing source for jquery 1.7.1
  * d/copyright: Add jquery.js license and cleanup cruft
  * Add symbols file for libjpeg62

 -- Ondřej Surý <ondrej@debian.org>  Tue, 22 Jul 2014 01:05:35 +0200

=== debian/control ===
Source: libjpeg-turbo
Priority: optional
Section: graphics
Maintainer: Ondřej Surý <ondrej@debian.org>
Uploaders: Mike Gabriel <sunweaver@debian.org>
Build-Depends: debhelper (>= 9),
	       dh-autoreconf,
	       nasm [any-amd64 any-i386],
Standards-Version: 3.9.6
Homepage: http://www.libjpeg-turbo.org/
Vcs-Git: git://anonscm.debian.org/collab-maint/libjpeg-turbo.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/libjpeg-turbo.git

Package: libjpeg-dev
Architecture: all
Section: libdevel
Depends: libjpeg62-turbo-dev (>= ${source:Version}),
 	 ${misc:Depends}
Conflicts: libjpeg62-dev,
	   libjpeg7-dev,
	   libjpeg8-dev,
	   libjpeg9-dev
Description: Development files for the JPEG library [dummy package]
 This package depends on default Debian implementation of
 libjpeg.so.62 JPEG library.

Package: libjpeg62-turbo-dev
Architecture: any
Section: libdevel
Multi-Arch: same
Depends: libc-dev,
	 libjpeg62-turbo (= ${binary:Version}),
	 ${misc:Depends}
Conflicts: libjpeg62-dev,
	   libjpeg7-dev,
	   libjpeg8-dev,
	   libjpeg9-dev
Replaces: libjpeg62-dev,
	  libjpeg7-dev,
	  libjpeg8-dev,
	  libjpeg9-dev
Provides: libjpeg-dev
Description: Development files for the libjpeg-turbo JPEG library
 The libjpeg-turbo JPEG library is a library for handling JPEG files.
 .
 libjpeg-turbo is a JPEG image codec that uses SIMD instructions (MMX,
 SSE2, NEON) to accelerate baseline JPEG compression and decompression
 on x86, x86-64, and ARM systems.  The libjpeg-turbo JPEG library is
 an API/ABI compatible with the IJG JPEG library.
 .
 This package contains the static library, headers and documentation.

Package: libjpeg62-turbo
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends},
	 ${shlibs:Depends}
Conflicts: libjpeg62
Replaces: libjpeg62
Provides: libjpeg62
Description: libjpeg-turbo JPEG runtime library
 The libjpeg-turbo JPEG library is a library for handling JPEG files.
 .
 libjpeg-turbo is a JPEG image codec that uses SIMD instructions (MMX,
 SSE2, NEON) to accelerate baseline JPEG compression and decompression
 on x86, x86-64, and ARM systems.  The libjpeg-turbo JPEG library is
 an API/ABI compatible with the IJG JPEG library.
 .
 This package contains the shared runtime library.

Package: libjpeg62-turbo-dbg
Architecture: any
Section: debug
Priority: extra
Multi-Arch: same
Depends: libjpeg62-turbo (= ${binary:Version}),
	 ${misc:Depends}
Conflicts: libjpeg62-dbg
Replaces: libjpeg62-dbg
Description: Debugging symbols for the libjpeg-turbo JPEG library
 The libjpeg-turbo JPEG library is a library for handling JPEG files.
 .
 libjpeg-turbo is a JPEG image codec that uses SIMD instructions (MMX,
 SSE2, NEON) to accelerate baseline JPEG compression and decompression
 on x86, x86-64, and ARM systems.  The libjpeg-turbo JPEG library is
 an API/ABI compatible with the IJG JPEG library.
 .
 This package contains the debugging symbols.

Package: libturbojpeg1
Architecture: any
Multi-Arch: same
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
	 ${misc:Depends}
Replaces: libturbojpeg
Conflicts: libturbojpeg,
	   libjpeg-turbo8
Description: TurboJPEG runtime library - SIMD optimized
 The libjpeg-turbo JPEG library is a library for handling JPEG files.
 .
 libjpeg-turbo is a JPEG image codec that uses SIMD instructions (MMX,
 SSE2, NEON) to accelerate baseline JPEG compression and decompression
 on x86, x86-64, and ARM systems.
 .
 This package contains the TurboJPEG shared runtime library.

Package: libturbojpeg1-dbg
Architecture: any
Priority: extra
Multi-Arch: same
Section: debug
Depends: ${misc:Depends},
	 libturbojpeg1 (= ${binary:Version}),
Breaks: libturbojpeg1 (<= 1.3.0-3),
Description: TurboJPEG runtime library - SIMD optimized (debugging symbols)
 The libjpeg-turbo JPEG library is a library for handling JPEG files.
 .
 libjpeg-turbo is a JPEG image codec that uses SIMD instructions (MMX,
 SSE2, NEON) to accelerate baseline JPEG compression and decompression
 on x86, x86-64, and ARM systems.
 .
 This package contains debugging symbols for the TurboJPEG library.

Package: libturbojpeg1-dev
Architecture: any
Section: libdevel
Multi-Arch: same
Depends: libturbojpeg1 (= ${binary:Version}),
	 ${misc:Depends},
Replaces: libturbojpeg-dev,
Conflicts: libturbojpeg-dev,
	   libjpeg-turbo8-dev,
Provides: libturbojpeg-dev
Description: Development files for the TurboJPEG library
 The libjpeg-turbo JPEG library is a library for handling JPEG files.
 .
 libjpeg-turbo is a JPEG image codec that uses SIMD instructions (MMX,
 SSE2, NEON) to accelerate baseline JPEG compression and decompression
 on x86, x86-64, and ARM systems.
 .
 This package contains the static library, headers and documentation for
 the TurboJPEG library.

Package: libjpeg-turbo-progs
Architecture: any
Depends: ${misc:Depends},
	 ${shlibs:Depends}
Conflicts: libjpeg-progs
Replaces: libjpeg-progs
Provides: libjpeg-progs
Description: Programs for manipulating JPEG files
 This package contains programs for manipulating JPEG files from the
 libjpeg-turbo JPEG library:
  * cjpeg/djpeg: convert to/from the JPEG file format
  * rdjpgcom/wrjpgcom: read/write comments in JPEG files
  * jpegtran: lossless transformations of JPEG files
  * jpegexiforient/exifautotran: manipulate EXIF orientation tag
  * tjbench: a simple JPEG benchmarking tool

Package: libjpeg-turbo-progs-dbg
Architecture: any
Priority: extra
Section: debug
Depends: ${misc:Depends},
	 libjpeg-turbo-progs (= ${binary:Version})
Description: Programs for manipulating JPEG files (debugging symbols)
 This package contains debugging symbols for programs for manipulating
 JPEG files from the libjpeg-turbo JPEG library:
  * cjpeg/djpeg: convert to/from the JPEG file format
  * rdjpgcom/wrjpgcom: read/write comments in JPEG files
  * jpegtran: lossless transformations of JPEG files
  * jpegexiforient/exifautotran: manipulate EXIF orientation tag
  * tjbench: a simple JPEG benchmarking tool

=== debian/rules ===
--- 
+++ 
@@ -1,13 +1,13 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
-# Sample debian/rules that uses debhelper.
-# This file was originally written by Joey Hess and Craig Small.
-# As a special exception, when this file is copied by dh-make into a
-# dh-make output file, you may use that output file without restriction.
-# This special exception was added by Craig Small in version 0.37 of dh-make.
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
+
+# To enable all, uncomment following line
+# export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic -ffloat-store
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
 # for architecture dependent variables and changelog vars
 vafilt = $(subst $(2)=,,$(filter $(2)=%,$(1)))
@@ -18,6 +18,8 @@
 DEB_HOST_MULTIARCH	?= $(call vafilt,$(DPKG_VARS),DEB_HOST_MULTIARCH)
 
 CFLAGS ?= $(shell dpkg-buildflags --get CFLAGS)
+CPPFLAGS ?= $(shell dpkg-buildflags --get CPPFLAGS)
+LDFLAGS ?= $(shell dpkg-buildflags --get LDFLAGS)
 ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
 	CFLAGS += -Wall
 endif
@@ -29,16 +31,50 @@
 endif
 
 %:
-	dh $@  --with autoreconf
+	dh $@ --parallel --with autoreconf
+
+ifeq ($(DEB_HOST_GNU_TYPE),x86_64-linux-gnux32)
+override_dh_auto_configure:
+	dh_auto_configure -- --without-simd
+endif
+
+override_dh_auto_build:
+	dh_auto_build -- V=1
+	$(MAKE) -C debian/extra CC=$(CC) CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)" CPPFLAGS="$(CPPFLAGS)" V=1
 
 override_dh_auto_clean:
+	$(MAKE) -C debian/extra clean
 	if [ -e Makefile ]; then $(MAKE) testclean; fi
 	dh_auto_clean
 	rm -f simd/jsimdcfg.inc
 
+override_dh_auto_install:
+	dh_auto_install
+	# Install extra utilities
+	$(MAKE) -C debian/extra install prefix=/usr DESTDIR=$(CURDIR)/debian/tmp
+	# Install manual page for tjbench.1
+	install -m 644 debian/tjbench.1 $(CURDIR)/debian/tmp/usr/share/man/man1/
+	# Fix jconfig.h for MultiArch
+	rm -f debian/tmp/usr/include/jconfig.h
+	mkdir -p debian/tmp/usr/include/$(DEB_HOST_MULTIARCH)
+	sed -e "s/#\(undef\|define\) HAVE_\(LOCALE\|\(STD\(DEF\|LIB\)\)\)_H 1//g" \
+		jconfig.h > debian/tmp/usr/include/$(DEB_HOST_MULTIARCH)/jconfig.h
+	mkdir -p debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig/
+	sed -e "s/@VERSION@/$(VERSION)/;s/@DEB_HOST_MULTIARCH@/$(DEB_HOST_MULTIARCH)/" \
+		debian/libjpeg.pc.in \
+		> debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig/libjpeg.pc
+
+override_dh_install:
+	dh_install -X.la -X/usr/share/doc --fail-missing
+
+override_dh_installchangelogs:
+	dh_installchangelogs -plibjpeg62-turbo-dev change.log
+	dh_installchangelogs -Nlibjpeg62-turbo-dev
+
 override_dh_strip:
+	dh_strip -plibjpeg-turbo-progs --dbg-package=libjpeg-turbo-progs-dbg
+	dh_strip -plibjpeg62-turbo --dbg-package=libjpeg62-turbo-dbg
 	dh_strip -plibturbojpeg1 --dbg-package=libturbojpeg1-dbg
-	dh_strip -plibjpeg-turbo-test --dbg-package=libjpeg-turbo-test-dbg
 
 deb_source := $(shell dpkg-parsechangelog | sed -n 's/^Source: //p')
 svn_rev := $(shell dpkg-parsechangelog | sed -rne 's,^Version: .*[+~]svn([0-9]+).*,\1,p')

## libjpeg-turbo 1.4.2

=== debian/changelog ===
libjpeg-turbo (1.4.2-0ubuntu3) xenial; urgency=medium

  * libjpeg8-turbo-dev: Install an libjpeg pkgconfig file.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 22 Feb 2016 15:52:51 +0100

libjpeg-turbo (1.4.2-0ubuntu2) xenial; urgency=medium

  * libjpeg-turbo-progs: Conflict with libjpeg-progs. LP: #1518035, #1532581.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 12 Jan 2016 13:10:10 +0100

libjpeg-turbo (1.4.2-0ubuntu1) xenial; urgency=medium

  * New upstream version.
  * Keep the Ubuntu packaging.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 07 Jan 2016 17:40:46 +0100

libjpeg-turbo (1.3.0-0ubuntu2) trusty; urgency=low

  * SECURITY UPDATE: information disclosure via uninitialized memory in
    the get_sos function (LP: #1252912)
    - debian/patches/CVE-2013-6629.patch: check for duplications in
      jdmarker.c.
    - CVE-2013-6629
  * SECURITY UPDATE: information disclosure via uninitialized memory in
    the get_dht function (LP: #1252912)
    - debian/patches/CVE-2013-6630.patch: properly clear out memory in
      jdmarker.c.
    - CVE-2013-6630

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 19 Dec 2013 15:07:26 -0500

libjpeg-turbo (1.3.0-0ubuntu1) saucy; urgency=low

  * New upstream release.
    - drop debian/patches/branch-updates.diff
    - refresh tjunittest.patch (now renamed to install-tjunittest.patch)
  * Update debian/control:
    - add myself to Uploaders.
  * Update debian/copyright:
    - add RSA Data Security copyright (md5).
  * Update debian/libturbojpeg.install:
    - install libturbojpeg.so.0* (needed by tjunittest and tjbench).

 -- Fathi Boudra <fathi.boudra@linaro.org>  Sun, 28 Jul 2013 16:52:51 +0300

=== debian/control ===
Source: libjpeg-turbo
Priority: optional
Section: graphics
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Uploaders: Tom Gall <tom.gall@linaro.org>,
           Fathi Boudra <fathi.boudra@linaro.org>
Build-Depends: debhelper (>= 8.1.3), dh-autoreconf, nasm [amd64 i386], quilt
Standards-Version: 3.9.4
Vcs-Bzr: lp:libjpeg-turbo
Homepage: http://libjpeg-turbo.virtualgl.org/

Package: libjpeg-turbo8-dev
Architecture: any
Section: libdevel
Multi-Arch: same
Depends: libc-dev, libjpeg-turbo8 (= ${binary:Version}), ${misc:Depends}
Conflicts: libjpeg62-dev, libjpeg7-dev
Replaces: libjpeg62-dev, libjpeg7-dev, libjpeg8-dev (<< 8c-2ubuntu5)
Provides: libjpeg-dev
Description: Development files for the IJG JPEG library
 The Independent JPEG Group's JPEG library is a library for handling
 JPEG files.
 .
 This package contains the static library, headers and documentation.

Package: libjpeg-turbo8
Architecture: any
Multi-Arch: same
Section: libs
Pre-Depends: multiarch-support
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libjpeg8 (<< 8c-2ubuntu5)
Replaces: libjpeg8 (<< 8c-2ubuntu5)
Description: IJG JPEG compliant runtime library.
 Runtime library supporting the Independent JPEG Group's standard
 for JPEG files.
 .
 This package contains the shared library which is a drop in
 replacement for libjpeg8, which has better performance than
 standard libjpeg by use of SIMD and other optimizations.

Package: libturbojpeg
Architecture: any
Multi-Arch: same
Section: libs
Pre-Depends: multiarch-support
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: libjpeg-turbo8 (<< 1.1.90+svn722-1ubuntu6)
Description: IJG JPEG compliant runtime library.
 Runtime library supporting the Independent JPEG Group's standard
 for JPEG files.
 .
 This package contains the libturbojpeg.so library, used by
 turboVNC and other users of the past TurboJPEG library.

Package: libjpeg-turbo-progs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Conflicts: libjpeg-progs
Replaces: libjpeg-progs (<< 8c-2ubuntu5)
Provides: libjpeg-progs
Description: Programs for manipulating JPEG files
 This package contains programs for manipulating JPEG files:
  cjpeg/djpeg: convert to/from the JPEG file format
  rdjpgcom/wrjpgcom: read/write comments in JPEG files
  jpegtran: lossless transformations of JPEG files
  tjbench: a simple JPEG benchmarking tool

Package: libjpeg-turbo8-dbg
Architecture: any
Section: debug
Priority: extra
Depends: libjpeg-turbo8 (= ${binary:Version}), ${misc:Depends}
Replaces: libjpeg-turbo-dbg (<< 1.1.90+svn722-1ubuntu6),
          libjpeg62-dbg,
          libjpeg7-dbg
Description: Debugging symbols for the libjpeg-turbo library
 An optimized implementation of the Independent JPEG Group's
 JPEG library is a library for handling JPEG files.
 .
 This package contains the debugging symbols for libjpeg-turbo.

Package: libjpeg-turbo-test
Architecture: any
Priority: extra
Section: debug
Depends: libturbojpeg (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Replaces: libjpeg-test (<< 1.1.90+svn722-1ubuntu6)
Description: Program for benchmarking and testing libjpeg-turbo
 This package contains tjunittest and tjbench.  tjunittest tests the basic
 functionality of the library and data files for performing those tests.
 tjbench runs some benchmarks.
